Module Fields
This module covers operations related to the management of fields within Zoho Projects modules. Use this API to retrieve field details, create or update fields, delete fields, and associate fields with layouts.
This module covers operations related to the management of fields within Zoho Projects modules. Use this API to retrieve field details, create or update fields, delete fields, and associate fields with layouts.
Retrieve the list of fields available in a module along with their metadata such as API name, display name, and field type. Use this API to understand the structure of a module before creating or updating records. Retrieve the module value using the Get Modules API.
OAuth Scope:
ZohoProjects.custom_fields.READ
String
requiredUnique, immutable identifier of the portal in Zoho Projects. You can obtain it from the Get Portals API (the "id" field in the response).
String
requiredEnter the module API name or ID. You can obtain it from the Get Modules API (the "id" field in the response).
JSONObject
Enter the filter criteria to refine the results. Use it to combine multiple filter conditions.
int
default : 1Enter the page number.
int
limit : 1-200Enter the number of entries to be displayed per page.
Request Example
curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields?module=projects&filter=%7B%22is_mandatory%22%3A%22-%22%2C%22is_renamed%22%3A%22-%22%2C%22is_default%22%3A%22-%22%2C%22is_unassociated%22%3A%22-%22%2C%22is_association_info_needed%22%3A%22-%22%2C%22is_formula_based_list%22%3A%22-%22%2C%22layout_id%22%3A%22-%22%2C%22project_id%22%3A%2223806000097545166%22%2C%22field_ids%22%3A%22-%22%2C%22fields%22%3A%22-%22%2C%22search_term%22%3A%22-%22%7D&page=1&per_page=10' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields";
filter_value = {"is_mandatory":"-","is_renamed":"-","is_default":"-","is_unassociated":"-","is_association_info_needed":"-","is_formula_based_list":"-","layout_id":"-","project_id":"23806000097545166","field_ids":"-","fields":"-","search_term":"-"};
params = Map();
params.put("module", "projects");
params.put("filter", filter_value);
params.put("page", 1);
params.put("per_page", 10);
response = invokeUrl
[
url: url
type: GET
parameters: params
connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields');
url.searchParams.append('module', 'projects');
url.searchParams.append('filter', '{"is_mandatory":"-","is_renamed":"-","is_default":"-","is_unassociated":"-","is_association_info_needed":"-","is_formula_based_list":"-","layout_id":"-","project_id":"23806000097545166","field_ids":"-","fields":"-","search_term":"-"}');
url.searchParams.append('page', '1');
url.searchParams.append('per_page', '10');
const options = {
hostname: url.hostname,
path: url.pathname + url.search,
method: 'GET',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
const req = https.request(options, (res) => {
let data = '';
res.on('data', (chunk) => { data += chunk; });
res.on('end', () => { console.log(JSON.parse(data)); });
});
req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'
url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields")
params = {
"module" => "projects",
"filter" => "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}",
"page" => "1",
"per_page" => "10"
}
url.query = URI.encode_www_form(params)
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
response = http.request(request)
puts response.read_body
<?php
$params = [
'module' => 'projects',
'filter' => '{"is_mandatory":"-","is_renamed":"-","is_default":"-","is_unassociated":"-","is_association_info_needed":"-","is_formula_based_list":"-","layout_id":"-","project_id":"23806000097545166","field_ids":"-","fields":"-","search_term":"-"}',
'page' => '1',
'per_page' => '10',
];
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields" . "?" . http_build_query($params);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields"
params = {
"module": "projects",
"filter": "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}",
"page": "1",
"per_page": "10"
}
headers = {
"Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl) {
char *enc_module = curl_easy_escape(curl, "projects", 0);
char *enc_filter = curl_easy_escape(curl, "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}", 0);
char *enc_page = curl_easy_escape(curl, "1", 0);
char *enc_per_page = curl_easy_escape(curl, "10", 0);
char url[2048];
snprintf(url, sizeof(url), "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields?module=%s&filter=%s&page=%s&per_page=%s", enc_module, enc_filter, enc_page, enc_per_page);
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
CURLcode res = curl_easy_perform(curl);
if (res != CURLE_OK)
fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));
curl_free(enc_module);
curl_free(enc_filter);
curl_free(enc_page);
curl_free(enc_per_page);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
var query = HttpUtility.ParseQueryString(string.Empty);
query["module"] = "projects";
query["filter"] = "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}";
query["page"] = "1";
query["per_page"] = "10";
var uriBuilder = new UriBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields") { Query = query.ToString() };
var request = new HttpRequestMessage(HttpMethod.Get, uriBuilder.Uri);
var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>
static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
output->append((char*)contents, size * nmemb);
return size * nmemb;
}
int main() {
CURL* curl = curl_easy_init();
if (curl) {
std::string response;
char* enc_module = curl_easy_escape(curl, "projects", 0);
char* enc_filter = curl_easy_escape(curl, "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}", 0);
char* enc_page = curl_easy_escape(curl, "1", 0);
char* enc_per_page = curl_easy_escape(curl, "10", 0);
std::string url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields";
url += "?module=" + std::string(enc_module);
url += "&filter=" + std::string(enc_filter);
url += "&page=" + std::string(enc_page);
url += "&per_page=" + std::string(enc_per_page);
struct curl_slist* headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url.c_str());
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);
CURLcode res = curl_easy_perform(curl);
if (res == CURLE_OK)
std::cout << response << std::endl;
else
std::cerr << curl_easy_strerror(res) << std::endl;
curl_free(enc_module);
curl_free(enc_filter);
curl_free(enc_page);
curl_free(enc_per_page);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
(require '[clj-http.client :as client])
(let [enc-module (java.net.URLEncoder/encode "projects" "UTF-8")
enc-filter (java.net.URLEncoder/encode "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}" "UTF-8")
enc-page (java.net.URLEncoder/encode "1" "UTF-8")
enc-per_page (java.net.URLEncoder/encode "10" "UTF-8")
url (str "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields" "?module=" enc-module "&filter=" enc-filter "&page=" enc-page "&per_page=" enc-per_page)]
(def response
(client/get url
{:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
:as :json}))
(println (:body response))
package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields", nil)
q := req.URL.Query()
q.Add("module", "projects")
q.Add("filter", "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}")
q.Add("page", "1")
q.Add("per_page", "10")
req.URL.RawQuery = q.Encode()
req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields?module=projects&filter=%7B%22is_mandatory%22%3A%22-%22%2C%22is_renamed%22%3A%22-%22%2C%22is_default%22%3A%22-%22%2C%22is_unassociated%22%3A%22-%22%2C%22is_association_info_needed%22%3A%22-%22%2C%22is_formula_based_list%22%3A%22-%22%2C%22layout_id%22%3A%22-%22%2C%22project_id%22%3A%2223806000097545166%22%2C%22field_ids%22%3A%22-%22%2C%22fields%22%3A%22-%22%2C%22search_term%22%3A%22-%22%7D&page=1&per_page=10 HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields?module=projects&filter=%7B%22is_mandatory%22%3A%22-%22%2C%22is_renamed%22%3A%22-%22%2C%22is_default%22%3A%22-%22%2C%22is_unassociated%22%3A%22-%22%2C%22is_association_info_needed%22%3A%22-%22%2C%22is_formula_based_list%22%3A%22-%22%2C%22layout_id%22%3A%22-%22%2C%22project_id%22%3A%2223806000097545166%22%2C%22field_ids%22%3A%22-%22%2C%22fields%22%3A%22-%22%2C%22search_term%22%3A%22-%22%7D&page=1&per_page=10
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();
SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();
URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields");
uriBuilder.addParameter("module", "projects");
uriBuilder.addParameter("filter", "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}");
uriBuilder.addParameter("page", "1");
uriBuilder.addParameter("per_page", "10");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
HttpResponse response = httpclient.execute(requestObj);
HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields';
const params = new URLSearchParams({
'module': 'projects',
'filter': '{"is_mandatory":"-","is_renamed":"-","is_default":"-","is_unassociated":"-","is_association_info_needed":"-","is_formula_based_list":"-","layout_id":"-","project_id":"23806000097545166","field_ids":"-","fields":"-","search_term":"-"}',
'page': '1',
'per_page': '10'
});
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
fetch(url + '?' + params.toString(), options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
module = "projects"
filter = {"is_mandatory":"-","is_renamed":"-","is_default":"-","is_unassociated":"-","is_association_info_needed":"-","is_formula_based_list":"-","layout_id":"-","project_id":"23806000097545166","field_ids":"-","fields":"-","search_term":"-"}
page = 1
per_page = 10
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl
fun main() {
val urlBuilder = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields".toHttpUrl().newBuilder()
urlBuilder.addQueryParameter("module", "projects")
urlBuilder.addQueryParameter("filter", "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}")
urlBuilder.addQueryParameter("page", "1")
urlBuilder.addQueryParameter("per_page", "10")
val url = URL(urlBuilder.build().toString())
val conn = url.openConnection() as HttpURLConnection
conn.requestMethod = "GET"
conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
val response = conn.inputStream.bufferedReader().readText()
println(response)
}
NSString *encodedModule = [@"projects" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedFilter = [@"{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPage = [@"1" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPer_page = [@"10" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *urlString = [NSString stringWithFormat:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields?module=%@&filter=%@&page=%@&per_page=%@", encodedModule, encodedFilter, encodedPage, encodedPer_page];
NSURL *url = [NSURL URLWithString:urlString];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix
let () =
let enc_module = Uri.pct_encode "projects" in
let enc_filter = Uri.pct_encode "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}" in
let enc_page = Uri.pct_encode "1" in
let enc_per_page = Uri.pct_encode "10" in
let uri = Uri.of_string ("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields" ^ "?module=" ^ enc_module ^ "&filter=" ^ enc_filter ^ "&page=" ^ enc_page ^ "&per_page=" ^ enc_per_page) in
let headers = Cohttp.Header.init ()
|> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
in
Lwt_main.run (
Client.get ~headers uri >>= fun (_, body) ->
Cohttp_lwt.Body.to_string body >|= fun s ->
print_endline s)
$headers = @{
"Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}
$params = @{
module = "projects"
filter = "{`"is_mandatory`":`"-`",`"is_renamed`":`"-`",`"is_default`":`"-`",`"is_unassociated`":`"-`",`"is_association_info_needed`":`"-`",`"is_formula_based_list`":`"-`",`"layout_id`":`"-`",`"project_id`":`"23806000097545166`",`"field_ids`":`"-`",`"fields`":`"-`",`"search_term`":`"-`"}"
page = "1"
per_page = "10"
}
$queryString = ($params.GetEnumerator() | ForEach-Object { "$($_.Key)=$([System.Uri]::EscapeDataString($_.Value))" }) -join "&"
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields" + "?" + $queryString
$response = Invoke-RestMethod -Uri $url -Method GET -Headers $headers
$response | ConvertTo-Json
library(httr)
url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields"
params <- list(
module = "projects",
filter = "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}",
page = "1",
per_page = "10"
)
response <- GET(
url,
add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
query = params
)
content(response, "text")
import Foundation
var components = URLComponents(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields")!
components.queryItems = [
URLQueryItem(name: "module", value: "projects"),
URLQueryItem(name: "filter", value: "{\"is_mandatory\":\"-\",\"is_renamed\":\"-\",\"is_default\":\"-\",\"is_unassociated\":\"-\",\"is_association_info_needed\":\"-\",\"is_formula_based_list\":\"-\",\"layout_id\":\"-\",\"project_id\":\"23806000097545166\",\"field_ids\":\"-\",\"fields\":\"-\",\"search_term\":\"-\"}"),
URLQueryItem(name: "page", value: "1"),
URLQueryItem(name: "per_page", value: "10")
]
let url = components.url!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")
let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let data = data, let result = String(data: data, encoding: .utf8) {
print(result)
}
semaphore.signal()
}
task.resume()
semaphore.wait()
Sample Input
Sample Response
Create a new field or update an existing field in a module layout. Use this API to define custom fields, configure their properties, and place them within layout sections.
OAuth Scope:
ZohoProjects.custom_fields.CREATE
String
requiredUnique, immutable identifier of the portal in Zoho Projects. You can obtain it from the Get Portals API (the "id" field in the response).
String
requiredEnter the module API name or ID. You can obtain it from the Get Modules API (the "id" field in the response).
String
Enter the layout ID. You can obtain it from the Get Layouts API (the "id" field in the response).
String
Enter the section ID.
JSONObject
max length : 1000Specify the position of the section in the layout.
String
Enter the field ID to update. Omit it to create a new field.
String
max length : 250Enter the field name.
String
max length : 100Enter the field type, for example singleline or picklist.
String
max length : 100Enter the data type.
JSONObject
max length : 5000Enter the field property.
Request Example
curl -X PUT \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa' \
-H 'Content-Type: application/json' \
-d '{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}'
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields";
params = Map();
params.put("module", "Risk");
params.put("layout_id", "4000003211234");
params.put("section_id", "4009234211234");
params.put("position", {"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"});
params.put("id", "4000000062001");
params.put("display_name", "start_date");
params.put("field_type", "Date");
params.put("data_type", "DATE");
params.put("field_property", {"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}});
response = invokeUrl
[
url: url
type: PUT
parameters: params.toString()
connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields');
const payload = JSON.stringify({"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}});
const options = {
hostname: url.hostname,
path: url.pathname + url.search,
method: 'PUT',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa',
'Content-Type': 'application/json',
'Content-Length': Buffer.byteLength(payload)
}
};
const req = https.request(options, (res) => {
let data = '';
res.on('data', (chunk) => { data += chunk; });
res.on('end', () => { console.log(JSON.parse(data)); });
});
req.on('error', (err) => { console.error(err); });
req.write(payload);
req.end();
require 'net/http'
require 'uri'
require 'json'
url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
request["Content-Type"] = "application/json"
request.body = '{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}'
response = http.request(request)
puts response.read_body
<?php
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields";
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => '{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}',
CURLOPT_HTTPHEADER => [
"Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields"
headers = {
"Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
"Content-Type": "application/json",
}
payload = '{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}'
response = requests.put(url, headers=headers, data=payload)
print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl) {
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "PUT");
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\"module\":\"Risk\",\"layout_id\":\"4000003211234\",\"section_id\":\"4009234211234\",\"position\":{\"before_id\":\"4009123452362\",\"after_id\":\"4009123452345\",\"exact_position\":0,\"known_position\":\"last\"},\"id\":\"4000000062001\",\"display_name\":\"start_date\",\"field_type\":\"Date\",\"data_type\":\"DATE\",\"field_property\":{\"description\":\"Planned start date of the work item.\",\"is_pii\":false,\"is_encrypted\":false,\"context_property\":{\"is_mandatory\":true,\"has_info\":false,\"permission\":\"all_users\",\"is_added_to_resolution\":false,\"is_added_to_public_form\":false},\"field_type_properties\":{\"currencylist_type\":\"project_currency\",\"userlist_type\":\"all_users\",\"module\":\"Risk\",\"fields\":\"name\",\"field\":\"4000003212456\"}}}");
CURLcode res = curl_easy_perform(curl);
if (res != CURLE_OK)
fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
var request = new HttpRequestMessage(HttpMethod.Put, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields");
request.Content = new StringContent(
@"{""module"":""Risk"",""layout_id"":""4000003211234"",""section_id"":""4009234211234"",""position"":{""before_id"":""4009123452362"",""after_id"":""4009123452345"",""exact_position"":0,""known_position"":""last""},""id"":""4000000062001"",""display_name"":""start_date"",""field_type"":""Date"",""data_type"":""DATE"",""field_property"":{""description"":""Planned start date of the work item."",""is_pii"":false,""is_encrypted"":false,""context_property"":{""is_mandatory"":true,""has_info"":false,""permission"":""all_users"",""is_added_to_resolution"":false,""is_added_to_public_form"":false},""field_type_properties"":{""currencylist_type"":""project_currency"",""userlist_type"":""all_users"",""module"":""Risk"",""fields"":""name"",""field"":""4000003212456""}}}",
Encoding.UTF8,
"application/json"
);
var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>
static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
output->append((char*)contents, size * nmemb);
return size * nmemb;
}
int main() {
CURL* curl = curl_easy_init();
if (curl) {
std::string response;
struct curl_slist* headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "PUT");
curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\"module\":\"Risk\",\"layout_id\":\"4000003211234\",\"section_id\":\"4009234211234\",\"position\":{\"before_id\":\"4009123452362\",\"after_id\":\"4009123452345\",\"exact_position\":0,\"known_position\":\"last\"},\"id\":\"4000000062001\",\"display_name\":\"start_date\",\"field_type\":\"Date\",\"data_type\":\"DATE\",\"field_property\":{\"description\":\"Planned start date of the work item.\",\"is_pii\":false,\"is_encrypted\":false,\"context_property\":{\"is_mandatory\":true,\"has_info\":false,\"permission\":\"all_users\",\"is_added_to_resolution\":false,\"is_added_to_public_form\":false},\"field_type_properties\":{\"currencylist_type\":\"project_currency\",\"userlist_type\":\"all_users\",\"module\":\"Risk\",\"fields\":\"name\",\"field\":\"4000003212456\"}}}");
CURLcode res = curl_easy_perform(curl);
if (res == CURLE_OK)
std::cout << response << std::endl;
else
std::cerr << curl_easy_strerror(res) << std::endl;
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
(require '[clj-http.client :as client])
(def response
(client/put "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields"
{:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
"Content-Type" "application/json"}
:body "{\"module\":\"Risk\",\"layout_id\":\"4000003211234\",\"section_id\":\"4009234211234\",\"position\":{\"before_id\":\"4009123452362\",\"after_id\":\"4009123452345\",\"exact_position\":0,\"known_position\":\"last\"},\"id\":\"4000000062001\",\"display_name\":\"start_date\",\"field_type\":\"Date\",\"data_type\":\"DATE\",\"field_property\":{\"description\":\"Planned start date of the work item.\",\"is_pii\":false,\"is_encrypted\":false,\"context_property\":{\"is_mandatory\":true,\"has_info\":false,\"permission\":\"all_users\",\"is_added_to_resolution\":false,\"is_added_to_public_form\":false},\"field_type_properties\":{\"currencylist_type\":\"project_currency\",\"userlist_type\":\"all_users\",\"module\":\"Risk\",\"fields\":\"name\",\"field\":\"4000003212456\"}}}"
:as :json}))
(println (:body response))
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
payload := strings.NewReader("{\"module\":\"Risk\",\"layout_id\":\"4000003211234\",\"section_id\":\"4009234211234\",\"position\":{\"before_id\":\"4009123452362\",\"after_id\":\"4009123452345\",\"exact_position\":0,\"known_position\":\"last\"},\"id\":\"4000000062001\",\"display_name\":\"start_date\",\"field_type\":\"Date\",\"data_type\":\"DATE\",\"field_property\":{\"description\":\"Planned start date of the work item.\",\"is_pii\":false,\"is_encrypted\":false,\"context_property\":{\"is_mandatory\":true,\"has_info\":false,\"permission\":\"all_users\",\"is_added_to_resolution\":false,\"is_added_to_public_form\":false},\"field_type_properties\":{\"currencylist_type\":\"project_currency\",\"userlist_type\":\"all_users\",\"module\":\"Risk\",\"fields\":\"name\",\"field\":\"4000003212456\"}}}")
req, _ := http.NewRequest("PUT", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields", payload)
req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
req.Header.Add("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
PUT https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
Content-Type: application/json
{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();
SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();
URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields");
HttpUriRequest requestObj = new HttpPut(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
HttpEntityEnclosingRequestBase requestBase = (HttpEntityEnclosingRequestBase) requestObj;
String requestBody = "{\"module\":\"Risk\",\"layout_id\":\"4000003211234\",\"section_id\":\"4009234211234\",\"position\":{\"before_id\":\"4009123452362\",\"after_id\":\"4009123452345\",\"exact_position\":0,\"known_position\":\"last\"},\"id\":\"4000000062001\",\"display_name\":\"start_date\",\"field_type\":\"Date\",\"data_type\":\"DATE\",\"field_property\":{\"description\":\"Planned start date of the work item.\",\"is_pii\":false,\"is_encrypted\":false,\"context_property\":{\"is_mandatory\":true,\"has_info\":false,\"permission\":\"all_users\",\"is_added_to_resolution\":false,\"is_added_to_public_form\":false},\"field_type_properties\":{\"currencylist_type\":\"project_currency\",\"userlist_type\":\"all_users\",\"module\":\"Risk\",\"fields\":\"name\",\"field\":\"4000003212456\"}}}";
requestBase.setEntity(new StringEntity(requestBody, HTTP.UTF_8));
HttpResponse response = httpclient.execute(requestObj);
HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields';
const options = {
method: 'PUT',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa',
'Content-Type': 'application/json'
},
body: JSON.stringify({"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}})
};
fetch(url, options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl
fun main() {
val url = URL("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields")
val conn = url.openConnection() as HttpURLConnection
conn.requestMethod = "PUT"
conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
conn.setRequestProperty("Content-Type", "application/json")
conn.doOutput = true
conn.outputStream.bufferedWriter().use { it.write("""{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}""") }
val response = conn.inputStream.bufferedReader().readText()
println(response)
}
NSURL *url = [NSURL URLWithString:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields"];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"PUT"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
NSData *body = [@"{\"module\":\"Risk\",\"layout_id\":\"4000003211234\",\"section_id\":\"4009234211234\",\"position\":{\"before_id\":\"4009123452362\",\"after_id\":\"4009123452345\",\"exact_position\":0,\"known_position\":\"last\"},\"id\":\"4000000062001\",\"display_name\":\"start_date\",\"field_type\":\"Date\",\"data_type\":\"DATE\",\"field_property\":{\"description\":\"Planned start date of the work item.\",\"is_pii\":false,\"is_encrypted\":false,\"context_property\":{\"is_mandatory\":true,\"has_info\":false,\"permission\":\"all_users\",\"is_added_to_resolution\":false,\"is_added_to_public_form\":false},\"field_type_properties\":{\"currencylist_type\":\"project_currency\",\"userlist_type\":\"all_users\",\"module\":\"Risk\",\"fields\":\"name\",\"field\":\"4000003212456\"}}}" dataUsingEncoding:NSUTF8StringEncoding];
[request setHTTPBody:body];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix
let () =
let uri = Uri.of_string "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields" in
let headers = Cohttp.Header.init ()
|> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
|> fun h -> Cohttp.Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string {json|{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}|json} in
Lwt_main.run (
Client.put ~headers ~body uri >>= fun (_, body) ->
Cohttp_lwt.Body.to_string body >|= fun s ->
print_endline s)
$headers = @{
"Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
"Content-Type" = "application/json"
}
$body = @'
{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}
'@
$response = Invoke-RestMethod -Uri "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields" -Method PUT -Headers $headers -Body $body
$response | ConvertTo-Json
library(httr)
url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields"
response <- PUT(
url,
add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
content_type_json(),
body = "{\"module\":\"Risk\",\"layout_id\":\"4000003211234\",\"section_id\":\"4009234211234\",\"position\":{\"before_id\":\"4009123452362\",\"after_id\":\"4009123452345\",\"exact_position\":0,\"known_position\":\"last\"},\"id\":\"4000000062001\",\"display_name\":\"start_date\",\"field_type\":\"Date\",\"data_type\":\"DATE\",\"field_property\":{\"description\":\"Planned start date of the work item.\",\"is_pii\":false,\"is_encrypted\":false,\"context_property\":{\"is_mandatory\":true,\"has_info\":false,\"permission\":\"all_users\",\"is_added_to_resolution\":false,\"is_added_to_public_form\":false},\"field_type_properties\":{\"currencylist_type\":\"project_currency\",\"userlist_type\":\"all_users\",\"module\":\"Risk\",\"fields\":\"name\",\"field\":\"4000003212456\"}}}"
)
content(response, "text")
import Foundation
let url = URL(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields")!
var request = URLRequest(url: url)
request.httpMethod = "PUT"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = """
{"module":"Risk","layout_id":"4000003211234","section_id":"4009234211234","position":{"before_id":"4009123452362","after_id":"4009123452345","exact_position":0,"known_position":"last"},"id":"4000000062001","display_name":"start_date","field_type":"Date","data_type":"DATE","field_property":{"description":"Planned start date of the work item.","is_pii":false,"is_encrypted":false,"context_property":{"is_mandatory":true,"has_info":false,"permission":"all_users","is_added_to_resolution":false,"is_added_to_public_form":false},"field_type_properties":{"currencylist_type":"project_currency","userlist_type":"all_users","module":"Risk","fields":"name","field":"4000003212456"}}}
""".data(using: .utf8)
let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let data = data, let result = String(data: data, encoding: .utf8) {
print(result)
}
semaphore.signal()
}
task.resume()
semaphore.wait()
Sample Input
Sample Response
Remove a field from the custom module.
OAuth Scope:
ZohoProjects.custom_fields.DELETE
String
requiredUnique, immutable identifier of the portal in Zoho Projects. You can obtain it from the Get Portals API (the "id" field in the response).
String
requiredIdentifier of a field. Obtained from the Get Fields API - the "id" field in the response corresponds to field_id.
String
requiredIdentifier of the module. You can obtain it from the Get Modules API (the "id" field in the response).
Request Example
curl -X DELETE \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]?module=projects' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]";
params = Map();
params.put("module", "projects");
response = invokeUrl
[
url: url
type: DELETE
parameters: params
connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]');
url.searchParams.append('module', 'projects');
const options = {
hostname: url.hostname,
path: url.pathname + url.search,
method: 'DELETE',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
const req = https.request(options, (res) => {
let data = '';
res.on('data', (chunk) => { data += chunk; });
res.on('end', () => { console.log(JSON.parse(data)); });
});
req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'
url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]")
params = {
"module" => "projects"
}
url.query = URI.encode_www_form(params)
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
response = http.request(request)
puts response.read_body
<?php
$params = [
'module' => 'projects',
];
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]" . "?" . http_build_query($params);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]"
params = {
"module": "projects"
}
headers = {
"Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}
response = requests.delete(url, headers=headers, params=params)
print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl) {
char *enc_module = curl_easy_escape(curl, "projects", 0);
char url[2048];
snprintf(url, sizeof(url), "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]?module=%s", enc_module);
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "DELETE");
CURLcode res = curl_easy_perform(curl);
if (res != CURLE_OK)
fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));
curl_free(enc_module);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
var query = HttpUtility.ParseQueryString(string.Empty);
query["module"] = "projects";
var uriBuilder = new UriBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]") { Query = query.ToString() };
var request = new HttpRequestMessage(HttpMethod.Delete, uriBuilder.Uri);
var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>
static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
output->append((char*)contents, size * nmemb);
return size * nmemb;
}
int main() {
CURL* curl = curl_easy_init();
if (curl) {
std::string response;
char* enc_module = curl_easy_escape(curl, "projects", 0);
std::string url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]";
url += "?module=" + std::string(enc_module);
struct curl_slist* headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url.c_str());
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);
CURLcode res = curl_easy_perform(curl);
if (res == CURLE_OK)
std::cout << response << std::endl;
else
std::cerr << curl_easy_strerror(res) << std::endl;
curl_free(enc_module);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
(require '[clj-http.client :as client])
(let [enc-module (java.net.URLEncoder/encode "projects" "UTF-8")
url (str "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]" "?module=" enc-module)]
(def response
(client/delete url
{:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
:as :json}))
(println (:body response))
package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]", nil)
q := req.URL.Query()
q.Add("module", "projects")
req.URL.RawQuery = q.Encode()
req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
DELETE https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]?module=projects HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]?module=projects
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();
SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();
URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]");
uriBuilder.addParameter("module", "projects");
HttpUriRequest requestObj = new HttpDelete(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
HttpResponse response = httpclient.execute(requestObj);
HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]';
const params = new URLSearchParams({
'module': 'projects'
});
const options = {
method: 'DELETE',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
fetch(url + '?' + params.toString(), options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
module = "projects"import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl
fun main() {
val urlBuilder = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]".toHttpUrl().newBuilder()
urlBuilder.addQueryParameter("module", "projects")
val url = URL(urlBuilder.build().toString())
val conn = url.openConnection() as HttpURLConnection
conn.requestMethod = "DELETE"
conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
val response = conn.inputStream.bufferedReader().readText()
println(response)
}
NSString *encodedModule = [@"projects" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *urlString = [NSString stringWithFormat:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]?module=%@", encodedModule];
NSURL *url = [NSURL URLWithString:urlString];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"DELETE"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix
let () =
let enc_module = Uri.pct_encode "projects" in
let uri = Uri.of_string ("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]" ^ "?module=" ^ enc_module) in
let headers = Cohttp.Header.init ()
|> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
in
Lwt_main.run (
Client.delete ~headers uri >>= fun (_, body) ->
Cohttp_lwt.Body.to_string body >|= fun s ->
print_endline s)
$headers = @{
"Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}
$params = @{
module = "projects"
}
$queryString = ($params.GetEnumerator() | ForEach-Object { "$($_.Key)=$([System.Uri]::EscapeDataString($_.Value))" }) -join "&"
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]" + "?" + $queryString
$response = Invoke-RestMethod -Uri $url -Method DELETE -Headers $headers
$response | ConvertTo-Json
library(httr)
url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]"
params <- list(
module = "projects"
)
response <- DELETE(
url,
add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
query = params
)
content(response, "text")
import Foundation
var components = URLComponents(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]")!
components.queryItems = [
URLQueryItem(name: "module", value: "projects")
]
let url = components.url!
var request = URLRequest(url: url)
request.httpMethod = "DELETE"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")
let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let data = data, let result = String(data: data, encoding: .utf8) {
print(result)
}
semaphore.signal()
}
task.resume()
semaphore.wait()
Sample Input
Sample Response
Retrieve the associated layouts of a field.
OAuth Scope:
ZohoProjects.custom_fields.READ
String
requiredUnique, immutable identifier of the portal in Zoho Projects. You can obtain it from the Get Portals API (the "id" field in the response).
String
requiredIdentifier of a field. Obtained from the Get Fields API - the "id" field in the response corresponds to field_id.
String
requiredEnter the module API name or ID. You can obtain it from the Get Modules API (the "id" field in the response).
JSONObject
Enter the filter criteria to refine the results. Use it to combine multiple filter conditions.
int
default : 1Specify the page of associated layouts
int
limit : 1-200Specify the range of associated layouts
Request Example
curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts?module=projects&filter=%7B%22ignore%22%3A%5B%7B%22id%22%3A%224000000062001%22%7D%5D%2C%22search_term%22%3A%22Zoho+Projects%22%7D&page=1&per_page=10' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts";
filter_value = {"ignore":[{"id":"4000000062001"}],"search_term":"Zoho Projects"};
params = Map();
params.put("module", "projects");
params.put("filter", filter_value);
params.put("page", "1");
params.put("per_page", "10");
response = invokeUrl
[
url: url
type: GET
parameters: params
connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts');
url.searchParams.append('module', 'projects');
url.searchParams.append('filter', '{"ignore":[{"id":"4000000062001"}],"search_term":"Zoho Projects"}');
url.searchParams.append('page', '1');
url.searchParams.append('per_page', '10');
const options = {
hostname: url.hostname,
path: url.pathname + url.search,
method: 'GET',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
const req = https.request(options, (res) => {
let data = '';
res.on('data', (chunk) => { data += chunk; });
res.on('end', () => { console.log(JSON.parse(data)); });
});
req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'
url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts")
params = {
"module" => "projects",
"filter" => "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}",
"page" => "1",
"per_page" => "10"
}
url.query = URI.encode_www_form(params)
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
response = http.request(request)
puts response.read_body
<?php
$params = [
'module' => 'projects',
'filter' => '{"ignore":[{"id":"4000000062001"}],"search_term":"Zoho Projects"}',
'page' => '1',
'per_page' => '10',
];
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts" . "?" . http_build_query($params);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts"
params = {
"module": "projects",
"filter": "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}",
"page": "1",
"per_page": "10"
}
headers = {
"Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl) {
char *enc_module = curl_easy_escape(curl, "projects", 0);
char *enc_filter = curl_easy_escape(curl, "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}", 0);
char *enc_page = curl_easy_escape(curl, "1", 0);
char *enc_per_page = curl_easy_escape(curl, "10", 0);
char url[2048];
snprintf(url, sizeof(url), "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts?module=%s&filter=%s&page=%s&per_page=%s", enc_module, enc_filter, enc_page, enc_per_page);
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
CURLcode res = curl_easy_perform(curl);
if (res != CURLE_OK)
fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));
curl_free(enc_module);
curl_free(enc_filter);
curl_free(enc_page);
curl_free(enc_per_page);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
var query = HttpUtility.ParseQueryString(string.Empty);
query["module"] = "projects";
query["filter"] = "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}";
query["page"] = "1";
query["per_page"] = "10";
var uriBuilder = new UriBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts") { Query = query.ToString() };
var request = new HttpRequestMessage(HttpMethod.Get, uriBuilder.Uri);
var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>
static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
output->append((char*)contents, size * nmemb);
return size * nmemb;
}
int main() {
CURL* curl = curl_easy_init();
if (curl) {
std::string response;
char* enc_module = curl_easy_escape(curl, "projects", 0);
char* enc_filter = curl_easy_escape(curl, "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}", 0);
char* enc_page = curl_easy_escape(curl, "1", 0);
char* enc_per_page = curl_easy_escape(curl, "10", 0);
std::string url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts";
url += "?module=" + std::string(enc_module);
url += "&filter=" + std::string(enc_filter);
url += "&page=" + std::string(enc_page);
url += "&per_page=" + std::string(enc_per_page);
struct curl_slist* headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url.c_str());
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);
CURLcode res = curl_easy_perform(curl);
if (res == CURLE_OK)
std::cout << response << std::endl;
else
std::cerr << curl_easy_strerror(res) << std::endl;
curl_free(enc_module);
curl_free(enc_filter);
curl_free(enc_page);
curl_free(enc_per_page);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
(require '[clj-http.client :as client])
(let [enc-module (java.net.URLEncoder/encode "projects" "UTF-8")
enc-filter (java.net.URLEncoder/encode "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}" "UTF-8")
enc-page (java.net.URLEncoder/encode "1" "UTF-8")
enc-per_page (java.net.URLEncoder/encode "10" "UTF-8")
url (str "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts" "?module=" enc-module "&filter=" enc-filter "&page=" enc-page "&per_page=" enc-per_page)]
(def response
(client/get url
{:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
:as :json}))
(println (:body response))
package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts", nil)
q := req.URL.Query()
q.Add("module", "projects")
q.Add("filter", "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}")
q.Add("page", "1")
q.Add("per_page", "10")
req.URL.RawQuery = q.Encode()
req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts?module=projects&filter=%7B%22ignore%22%3A%5B%7B%22id%22%3A%224000000062001%22%7D%5D%2C%22search_term%22%3A%22Zoho+Projects%22%7D&page=1&per_page=10 HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts?module=projects&filter=%7B%22ignore%22%3A%5B%7B%22id%22%3A%224000000062001%22%7D%5D%2C%22search_term%22%3A%22Zoho+Projects%22%7D&page=1&per_page=10
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();
SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();
URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts");
uriBuilder.addParameter("module", "projects");
uriBuilder.addParameter("filter", "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}");
uriBuilder.addParameter("page", "1");
uriBuilder.addParameter("per_page", "10");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
HttpResponse response = httpclient.execute(requestObj);
HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts';
const params = new URLSearchParams({
'module': 'projects',
'filter': '{"ignore":[{"id":"4000000062001"}],"search_term":"Zoho Projects"}',
'page': '1',
'per_page': '10'
});
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
fetch(url + '?' + params.toString(), options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
module = "projects"
filter = {"ignore":[{"id":"4000000062001"}],"search_term":"Zoho Projects"}
page = "1"
per_page = "10"
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl
fun main() {
val urlBuilder = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts".toHttpUrl().newBuilder()
urlBuilder.addQueryParameter("module", "projects")
urlBuilder.addQueryParameter("filter", "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}")
urlBuilder.addQueryParameter("page", "1")
urlBuilder.addQueryParameter("per_page", "10")
val url = URL(urlBuilder.build().toString())
val conn = url.openConnection() as HttpURLConnection
conn.requestMethod = "GET"
conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
val response = conn.inputStream.bufferedReader().readText()
println(response)
}
NSString *encodedModule = [@"projects" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedFilter = [@"{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPage = [@"1" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPer_page = [@"10" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *urlString = [NSString stringWithFormat:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts?module=%@&filter=%@&page=%@&per_page=%@", encodedModule, encodedFilter, encodedPage, encodedPer_page];
NSURL *url = [NSURL URLWithString:urlString];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix
let () =
let enc_module = Uri.pct_encode "projects" in
let enc_filter = Uri.pct_encode "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}" in
let enc_page = Uri.pct_encode "1" in
let enc_per_page = Uri.pct_encode "10" in
let uri = Uri.of_string ("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts" ^ "?module=" ^ enc_module ^ "&filter=" ^ enc_filter ^ "&page=" ^ enc_page ^ "&per_page=" ^ enc_per_page) in
let headers = Cohttp.Header.init ()
|> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
in
Lwt_main.run (
Client.get ~headers uri >>= fun (_, body) ->
Cohttp_lwt.Body.to_string body >|= fun s ->
print_endline s)
$headers = @{
"Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}
$params = @{
module = "projects"
filter = "{`"ignore`":[{`"id`":`"4000000062001`"}],`"search_term`":`"Zoho Projects`"}"
page = "1"
per_page = "10"
}
$queryString = ($params.GetEnumerator() | ForEach-Object { "$($_.Key)=$([System.Uri]::EscapeDataString($_.Value))" }) -join "&"
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts" + "?" + $queryString
$response = Invoke-RestMethod -Uri $url -Method GET -Headers $headers
$response | ConvertTo-Json
library(httr)
url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts"
params <- list(
module = "projects",
filter = "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}",
page = "1",
per_page = "10"
)
response <- GET(
url,
add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
query = params
)
content(response, "text")
import Foundation
var components = URLComponents(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-layouts")!
components.queryItems = [
URLQueryItem(name: "module", value: "projects"),
URLQueryItem(name: "filter", value: "{\"ignore\":[{\"id\":\"4000000062001\"}],\"search_term\":\"Zoho Projects\"}"),
URLQueryItem(name: "page", value: "1"),
URLQueryItem(name: "per_page", value: "10")
]
let url = components.url!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")
let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let data = data, let result = String(data: data, encoding: .utf8) {
print(result)
}
semaphore.signal()
}
task.resume()
semaphore.wait()
Sample Input
Sample Response
Retrieve the associated projects of a field.
OAuth Scope:
ZohoProjects.custom_fields.READ
String
requiredUnique, immutable identifier of the portal in Zoho Projects. You can obtain it from the Get Portals API (the "id" field in the response).
String
requiredIdentifier of a field. Obtained from the Get Fields API - the "id" field in the response corresponds to field_id.
String
requiredEnter the module API name or ID. You can obtain it from the Get Modules API (the "id" field in the response).
JSONObject
Enter the filter criteria.
int
default : 1Specify the page of associated projects
int
limit : 1-200Specify the range of associated projects
Request Example
curl -X GET \
'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects?module=projects&filter=%7B%22search_term%22%3A%22-%22%2C%22is_active_project%22%3A%22-%22%2C%22is_user_associated_project%22%3A%22-%22%7D&page=1&per_page=10' \
-H 'Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects";
filter_value = {"search_term":"-","is_active_project":"-","is_user_associated_project":"-"};
params = Map();
params.put("module", "projects");
params.put("filter", filter_value);
params.put("page", "1");
params.put("per_page", "10");
response = invokeUrl
[
url: url
type: GET
parameters: params
connection: "projects"
];
info response;
const https = require('https');
const url = new URL('https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects');
url.searchParams.append('module', 'projects');
url.searchParams.append('filter', '{"search_term":"-","is_active_project":"-","is_user_associated_project":"-"}');
url.searchParams.append('page', '1');
url.searchParams.append('per_page', '10');
const options = {
hostname: url.hostname,
path: url.pathname + url.search,
method: 'GET',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
const req = https.request(options, (res) => {
let data = '';
res.on('data', (chunk) => { data += chunk; });
res.on('end', () => { console.log(JSON.parse(data)); });
});
req.on('error', (err) => { console.error(err); });
req.end();
require 'net/http'
require 'uri'
require 'json'
url = URI("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects")
params = {
"module" => "projects",
"filter" => "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}",
"page" => "1",
"per_page" => "10"
}
url.query = URI.encode_www_form(params)
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
response = http.request(request)
puts response.read_body
<?php
$params = [
'module' => 'projects',
'filter' => '{"search_term":"-","is_active_project":"-","is_user_associated_project":"-"}',
'page' => '1',
'per_page' => '10',
];
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects" . "?" . http_build_query($params);
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects"
params = {
"module": "projects",
"filter": "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}",
"page": "1",
"per_page": "10"
}
headers = {
"Authorization": "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa",
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
#include <stdio.h>
#include <string.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl) {
char *enc_module = curl_easy_escape(curl, "projects", 0);
char *enc_filter = curl_easy_escape(curl, "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}", 0);
char *enc_page = curl_easy_escape(curl, "1", 0);
char *enc_per_page = curl_easy_escape(curl, "10", 0);
char url[2048];
snprintf(url, sizeof(url), "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects?module=%s&filter=%s&page=%s&per_page=%s", enc_module, enc_filter, enc_page, enc_per_page);
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
CURLcode res = curl_easy_perform(curl);
if (res != CURLE_OK)
fprintf(stderr, "curl failed: %s\n", curl_easy_strerror(res));
curl_free(enc_module);
curl_free(enc_filter);
curl_free(enc_page);
curl_free(enc_per_page);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
using System.Net.Http;
using System.Text;
using System.Web;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
var query = HttpUtility.ParseQueryString(string.Empty);
query["module"] = "projects";
query["filter"] = "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}";
query["page"] = "1";
query["per_page"] = "10";
var uriBuilder = new UriBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects") { Query = query.ToString() };
var request = new HttpRequestMessage(HttpMethod.Get, uriBuilder.Uri);
var response = await client.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
#include <iostream>
#include <string>
#include <curl/curl.h>
static size_t WriteCallback(void* contents, size_t size, size_t nmemb, std::string* output) {
output->append((char*)contents, size * nmemb);
return size * nmemb;
}
int main() {
CURL* curl = curl_easy_init();
if (curl) {
std::string response;
char* enc_module = curl_easy_escape(curl, "projects", 0);
char* enc_filter = curl_easy_escape(curl, "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}", 0);
char* enc_page = curl_easy_escape(curl, "1", 0);
char* enc_per_page = curl_easy_escape(curl, "10", 0);
std::string url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects";
url += "?module=" + std::string(enc_module);
url += "&filter=" + std::string(enc_filter);
url += "&page=" + std::string(enc_page);
url += "&per_page=" + std::string(enc_per_page);
struct curl_slist* headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
curl_easy_setopt(curl, CURLOPT_URL, url.c_str());
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
curl_easy_setopt(curl, CURLOPT_WRITEDATA, &response);
CURLcode res = curl_easy_perform(curl);
if (res == CURLE_OK)
std::cout << response << std::endl;
else
std::cerr << curl_easy_strerror(res) << std::endl;
curl_free(enc_module);
curl_free(enc_filter);
curl_free(enc_page);
curl_free(enc_per_page);
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
return 0;
}
(require '[clj-http.client :as client])
(let [enc-module (java.net.URLEncoder/encode "projects" "UTF-8")
enc-filter (java.net.URLEncoder/encode "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}" "UTF-8")
enc-page (java.net.URLEncoder/encode "1" "UTF-8")
enc-per_page (java.net.URLEncoder/encode "10" "UTF-8")
url (str "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects" "?module=" enc-module "&filter=" enc-filter "&page=" enc-page "&per_page=" enc-per_page)]
(def response
(client/get url
{:headers {"Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"}
:as :json}))
(println (:body response))
package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
req, _ := http.NewRequest("GET", "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects", nil)
q := req.URL.Query()
q.Add("module", "projects")
q.Add("filter", "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}")
q.Add("page", "1")
q.Add("per_page", "10")
req.URL.RawQuery = q.Encode()
req.Header.Add("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
GET https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects?module=projects&filter=%7B%22search_term%22%3A%22-%22%2C%22is_active_project%22%3A%22-%22%2C%22is_user_associated_project%22%3A%22-%22%7D&page=1&per_page=10 HTTP/1.1
Host: https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects?module=projects&filter=%7B%22search_term%22%3A%22-%22%2C%22is_active_project%22%3A%22-%22%2C%22is_user_associated_project%22%3A%22-%22%7D&page=1&per_page=10
Authorization: Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa
HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();
SSLContext sslContext = SSLContext.getDefault();
SSLConnectionSocketFactory sslConnectionSocketFactory = new SSLConnectionSocketFactory(sslContext, NoopHostnameVerifier.INSTANCE);
CloseableHttpClient httpclient = httpClientBuilder.setSSLSocketFactory(sslConnectionSocketFactory).build();
URIBuilder uriBuilder = new URIBuilder("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects");
uriBuilder.addParameter("module", "projects");
uriBuilder.addParameter("filter", "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}");
uriBuilder.addParameter("page", "1");
uriBuilder.addParameter("per_page", "10");
HttpUriRequest requestObj = new HttpGet(uriBuilder.build());
requestObj.addHeader("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa");
HttpResponse response = httpclient.execute(requestObj);
HttpEntity responseEntity = response.getEntity();
Object responseObject = EntityUtils.toString(responseEntity);
String responseString = responseObject.toString();
const url = 'https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects';
const params = new URLSearchParams({
'module': 'projects',
'filter': '{"search_term":"-","is_active_project":"-","is_user_associated_project":"-"}',
'page': '1',
'per_page': '10'
});
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa'
}
};
fetch(url + '?' + params.toString(), options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error(error));
module = "projects"
filter = {"search_term":"-","is_active_project":"-","is_user_associated_project":"-"}
page = "1"
per_page = "10"
import java.net.HttpURLConnection
import java.net.URL
import okhttp3.HttpUrl.Companion.toHttpUrl
fun main() {
val urlBuilder = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects".toHttpUrl().newBuilder()
urlBuilder.addQueryParameter("module", "projects")
urlBuilder.addQueryParameter("filter", "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}")
urlBuilder.addQueryParameter("page", "1")
urlBuilder.addQueryParameter("per_page", "10")
val url = URL(urlBuilder.build().toString())
val conn = url.openConnection() as HttpURLConnection
conn.requestMethod = "GET"
conn.setRequestProperty("Authorization", "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa")
val response = conn.inputStream.bufferedReader().readText()
println(response)
}
NSString *encodedModule = [@"projects" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedFilter = [@"{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPage = [@"1" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *encodedPer_page = [@"10" stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
NSString *urlString = [NSString stringWithFormat:@"https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects?module=%@&filter=%@&page=%@&per_page=%@", encodedModule, encodedFilter, encodedPage, encodedPer_page];
NSURL *url = [NSURL URLWithString:urlString];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"GET"];
[request setValue:@"Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa" forHTTPHeaderField:@"Authorization"];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
NSString *result = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
open Lwt
open Cohttp_lwt_unix
let () =
let enc_module = Uri.pct_encode "projects" in
let enc_filter = Uri.pct_encode "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}" in
let enc_page = Uri.pct_encode "1" in
let enc_per_page = Uri.pct_encode "10" in
let uri = Uri.of_string ("https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects" ^ "?module=" ^ enc_module ^ "&filter=" ^ enc_filter ^ "&page=" ^ enc_page ^ "&per_page=" ^ enc_per_page) in
let headers = Cohttp.Header.init ()
|> fun h -> Cohttp.Header.add h "Authorization" "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
in
Lwt_main.run (
Client.get ~headers uri >>= fun (_, body) ->
Cohttp_lwt.Body.to_string body >|= fun s ->
print_endline s)
$headers = @{
"Authorization" = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"
}
$params = @{
module = "projects"
filter = "{`"search_term`":`"-`",`"is_active_project`":`"-`",`"is_user_associated_project`":`"-`"}"
page = "1"
per_page = "10"
}
$queryString = ($params.GetEnumerator() | ForEach-Object { "$($_.Key)=$([System.Uri]::EscapeDataString($_.Value))" }) -join "&"
$url = "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects" + "?" + $queryString
$response = Invoke-RestMethod -Uri $url -Method GET -Headers $headers
$response | ConvertTo-Json
library(httr)
url <- "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects"
params <- list(
module = "projects",
filter = "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}",
page = "1",
per_page = "10"
)
response <- GET(
url,
add_headers(Authorization = "Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa"),
query = params
)
content(response, "text")
import Foundation
var components = URLComponents(string: "https://projects.zoho.com/api/v3/portal/[PORTAL_ID]/settings/fields/[FIELD_ID]/associated-projects")!
components.queryItems = [
URLQueryItem(name: "module", value: "projects"),
URLQueryItem(name: "filter", value: "{\"search_term\":\"-\",\"is_active_project\":\"-\",\"is_user_associated_project\":\"-\"}"),
URLQueryItem(name: "page", value: "1"),
URLQueryItem(name: "per_page", value: "10")
]
let url = components.url!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.setValue("Bearer 1000.03xxxxxxxxxxxxxxxxxa5317.dxxxxxxxxxxxxxxxxxfa", forHTTPHeaderField: "Authorization")
let semaphore = DispatchSemaphore(value: 0)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let data = data, let result = String(data: data, encoding: .utf8) {
print(result)
}
semaphore.signal()
}
task.resume()
semaphore.wait()
Sample Input
Sample Response